Subject: Re: bug#1471: 23.0.60; Visiting GnuPG-encrypted file yields "file exists, but cannot be read"

From: Daiki Ueno <[email-masked]>
Date: Wed, 03 Dec 2008 14:47:06 +0900

>>>>> In <[email-masked]> 
>>>>>	Eric Hanchrow <[email-masked]> wrote:

> At the shell:

>   $ cd /usr/local/src/emacs-via-git/src/

> create a tiny encrypted file.

>   $ echo Fee fi fo fum | gpg --symmetric > decrypt-me.gpg
>   gpg: gpg-agent is not available in this session

> You can't see it in this transcript, but I typed a very short passphrase: "foo"

> Proof that the file is indeed encrypted:

>   $ cat decrypt-me.gpg 
>   -----BEGIN PGP MESSAGE-----
>   Version: GnuPG v1.4.9 (GNU/Linux)

>   jA0EAwMCJkAO8t1a89pgySSta9bxO023orfaXtK+Y0RuUP+8ohMfpLLgVlYWiTeN
>   sX8mKnE=
>   =HGzp
>   -----END PGP MESSAGE-----

> Proof that I haven't forgotten the passphrase:

>   $ gpg --decrypt < decrypt-me.gpg 
>   gpg: CAST5 encrypted data
>   gpg: gpg-agent is not available in this session
>   Enter passphrase:                   gpg: encrypted with 1 passphrase
>   Fee fi fo fum
>   gpg: WARNING: message was not integrity protected

> Now let's visit the file in emacs:
>   $ ./emacs -Q -nw

> I then typed C-x C-f decrypt-me.gpg RET.  Emacs prompted me for the
> passphrase for symmetric encryption, as I'd expect.  I entered it, and
> then instead of seeing "Fee fi fo fum" in the buffer, as I'd expected, I
> saw an error in the echo area: "File exists, but cannot be read".

I can't reproduce it.  Could you please try again with

(setq epg-debug t)

and provide the content of the " *epg-debug*" buffer?

Regards,
-- 
Daiki Ueno